/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */

@Entity
@Table(name="intentsEntrega")
public class IntentEntrega implements Serializable{
    
    
    @EmbeddedId
    protected IntentEntregaPK intentEntregaPK;
    
    @Temporal(TemporalType.DATE)
    private Date dataIntent;
    @Temporal(TemporalType.TIME)
    private Date horaIntent;
    
    public IntentEntrega(){
        
    }
    
    public IntentEntrega(Enviament enviament, int intentEntrega, Date dataIntent,Date horaIntent){
        this.intentEntregaPK=new IntentEntregaPK(enviament,intentEntrega);
        this.dataIntent=dataIntent;
        this.horaIntent=horaIntent;
        
    }
    
    public IntentEntregaPK getIntentEntregaPK() { return intentEntregaPK; }
    public void setIntentEntregaPK(IntentEntregaPK intentEntregaPK) { this.intentEntregaPK = intentEntregaPK; }
    
    public Enviament getEnviament(){
        return this.intentEntregaPK.getEnviament();
    }
    
    public int getIntentEntregat(){
        return this.intentEntregaPK.getIntentEntrega();
    }
    
     public void setDataIntent(Date dataIntent){
        this.dataIntent=dataIntent;
    }
    
    public Date getDataIntent(){
        return this.dataIntent;
    }
    
    public void setHoraIntent(Date horaIntent){
        this.horaIntent=horaIntent;
    }
    
    public Date getHoraIntent(){
        return this.horaIntent;
    }
    
    
}
