/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import java.io.Serializable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */

@Entity
@Table(name="valoracions")
public class Valoracio implements Serializable {
    
    
    @EmbeddedId
    protected ValoracioPK valoracioPK;
        
    private float valoracio;
    
    public Valoracio(){
        
    }
    
    public Valoracio(Client client,Producte producte,float valoracio){
       this.valoracioPK=new ValoracioPK(client,producte);
        this.valoracio=valoracio;     
    }
    
     public ValoracioPK getValoracioPK() { return valoracioPK; }
    public void setValoracioPK(ValoracioPK valorcioPK) { this.valoracioPK = valorcioPK; }
    
       
    public Client getClient(){
        return this.valoracioPK.getClient();
    }
    
    public Producte getProducte(){
        return this.valoracioPK.getProducte();
    }
    
    public void setValoracio(float valoracio){
        this.valoracio=valoracio;
    }
    
    public float getValoracio(){
        return this.valoracio;
    }
}
