/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.ProducteDAO;
import java.util.Map;
import model.Producte;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class ActualitzarEstocAction extends ActionSupport{
    
    
    private int estoc;
    
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    
    
    public ActualitzarEstocAction (){
        
            
         
        
				
	}
    
    @Override
    public String execute() throws Exception{
        
        Map<String, Object> session = ActionContext.getContext().getSession();
        
         Producte producte=(Producte)session.get("producteGestionat");
        
         producte.setEstoc(estoc);
         
         ProducteDAO.actualizaProducte(producte);
         
         producte=ProducteDAO.obtenProducte(producte.getIdProducte());
         session.put("producteGestionat", producte);
        
                
         return SUCCESS;
                             
           
    }
    
    
    @Override
    public void validate(){
        
        
        if(estoc<0){
             addActionError(tlu.getProperty("error.estocNeg"));
        }
        
        
       
    }
    
    
    
    public void setEstoc(int estoc){
        this.estoc=estoc;
    }
    
   
    
    public int getEstoc(){
        return this.estoc;
    }
    
    
    
}
