/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.ProducteDAO;
import java.util.List;
import java.util.Map;
import model.Compra;
import model.Compra_Producte;
import model.Producte;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class AfegirCarroAction extends ActionSupport  {
    
    private Producte producte;
    private int idProducte;
    
     public AfegirCarroAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
    
         Map<String, Object> session = ActionContext.getContext().getSession();
         
         producte= ProducteDAO.obtenProducte(idProducte);
         
         Compra carro=(Compra)session.get("carro");
         
         List<Compra_Producte> llistaProductes= carro.getLlistaCompra();
         Compra_Producte cpRec=null;
         int posicio=-1;
         for (Compra_Producte cp: llistaProductes){
             if (cp.getProducte().getIdProducte()==producte.getIdProducte()){
                 cpRec=cp;
                 posicio=llistaProductes.indexOf(cp);
                 }
             }
         
         if(cpRec==null){
            carro.addProducte(new Compra_Producte(carro,producte,1));
            }else{
             
             cpRec.setQuantitat(cpRec.getQuantitat()+1);
             llistaProductes.set(posicio, cpRec);
             carro.setLlistaCompra(llistaProductes);
         }
         
         
         session.put("carro", carro);
        
        
        return SUCCESS;
        
    }
    
     public void setIdProducte(int idProducte){
        this.idProducte=idProducte;
    }
    
    public int getIdProducte(){
       return this.idProducte;
    }
    
    
    
    
}
