/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.EmpresaTransportistaDAO;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import model.EmpresaTransportista;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class AltaTransportistaAction extends ActionSupport{
    
    
    private List<String> llistaEmpreses;
    
    public AltaTransportistaAction (){}
    
     @Override
    public String execute() throws Exception{
         
         Map<String, Object> session = ActionContext.getContext().getSession();
                  
         
         List<EmpresaTransportista> empresesTransportistes=EmpresaTransportistaDAO.obtenListaEmpreses();
         session.put("empreses", empresesTransportistes);
         
         int i;
        
         llistaEmpreses=new ArrayList<String>();
         for(i=0;i<empresesTransportistes.size();i++){
             EmpresaTransportista e=empresesTransportistes.get(i);
             llistaEmpreses.add(e.getNomEmpresa()+" "+e.getTerminiEntrega()+"h ("+e.getCost()+" €)");
         }
         
         
         
            
         return SUCCESS;
     }
     
      public List<String> getLlistaEmpreses() {
		return llistaEmpreses;
	}
    
}
