/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.EmpresaTransportistaDAO;
import controller.MetodePagamentDAO;
import java.util.List;
import java.util.Map;
import java.util.ResourceBundle;
import model.EmpresaTransportista;
import model.MetodePagament;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class InformacioPaginaAction extends ActionSupport{
    
    private String email;
    private String direccio;
    private String telefon;
    private EmpresaTransportista empresa;////////////
  
    public InformacioPaginaAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
       Map<String, Object> session = ActionContext.getContext().getSession();
         
       List<MetodePagament> metodes= MetodePagamentDAO.obtenLlistaMetodesPagament();
       
       List<EmpresaTransportista> empreses= EmpresaTransportistaDAO.obtenListaEmpreses(); 
       
       session.put("metodes", metodes);
       session.put("empreses",empreses);
       empresa=empreses.get(0);////////////
       email=getInformacio("email");
       direccio=getInformacio("direccio");
       telefon=getInformacio("telefon");
      
       
       return SUCCESS;
    }
    
    
    public static String getInformacio(String keyString){
        
       
            
            ResourceBundle currentBundle;  
            
            
            currentBundle = ResourceBundle.getBundle("informacioPagina"); 
            
            
            return currentBundle.getString(keyString);
            
        }
    
    public String getEmail(){
        return this.email;
    }
    
    public String getDireccio(){
        return this.direccio;
    }
    
    public String getTelefon(){
        return this.telefon;
    }
    
    public EmpresaTransportista getEmpresa(){
        return this.empresa;
    }
    
    
    }
    

