/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.EnviamentDAO;
import model.Usuari;
import controller.UsuariDAO;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.Map;
import model.*;
import util.TendaOnlineLanguageUtils;


/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */


public class IntentAction extends ActionSupport{
    
    
    
    private int idEnviament;
    private int intent;
    private String dataIntent;
    private String horaIntent;
    
    
    
    public IntentAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
         Map<String, Object> session = ActionContext.getContext().getSession();
        
        Enviament enviament=(Enviament)session.get("enviamentGestionat");
        
        intent=enviament.getIntentsEntrega().size()+1;        
        Locale currentLocale=(Locale)session.get("WW_TRANS_I18N_LOCALE");
        SimpleDateFormat formateadorDataIntent = new SimpleDateFormat("dd/MM/yyyy",currentLocale);
        SimpleDateFormat formateadorHora = new SimpleDateFormat("HH:mm:ss",currentLocale);
        dataIntent = formateadorDataIntent.format(new java.util.Date());
        horaIntent = formateadorHora.format(new java.util.Date());
                    
                
        return SUCCESS;
                           
            
           
    }
    
    
    
    
    public void setIdEnviament(int idEnviament){
        this.idEnviament=idEnviament;
    }
    
     public int getIntent(){
        return this.intent;
    }
    
     public String getDataIntent(){
        return this.dataIntent;
    }
    
    public String getHoraIntent(){
        return this.horaIntent;
    }
    
    
    
    
}
