/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.CategoriaDAO;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Map;
import model.Categoria;
import org.apache.struts2.ServletActionContext;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class ModCategoriaAction extends ActionSupport{
    
    private String imatge;
    private String nomCategoria;
    
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
  
    public ModCategoriaAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        Map<String, Object> session = ActionContext.getContext().getSession();
        
          
        
        Categoria categoria= (Categoria)session.get("categoriaGestionada");
               
        
        categoria=CategoriaDAO.obtenCategoria(categoria.getIdCategoria());
        
        categoria.setNomCategoria(nomCategoria);
        
        if(true){
            String ruta = ServletActionContext.getServletContext().getRealPath("/imatges");
            String rutaSrc = ServletActionContext.getServletContext().getRealPath("/");
            rutaSrc=rutaSrc.substring(0,rutaSrc.length()-10);
            String barra=rutaSrc.substring(rutaSrc.length()-1);
            rutaSrc=rutaSrc+"web"+barra+"imatges";
            
            File imatgeVella=new File(ruta, imatge);
            imatgeVella.delete();
            
            String rutaTemp=(String)session.get("rutaAbs");
            //String arxiuTemp=rutaTemp.substring(rutaTemp.lastIndexOf(barra)+1);
            //String rutaTempR=rutaTemp.substring(0,rutaTemp.lastIndexOf(barra)+1);
            //File imatgeTemp= new File(rutaTempR, arxiuTemp);
            
            File imatgeTemp= new File(rutaTemp);

            String extensio=rutaTemp.substring(rutaTemp.lastIndexOf("."));
            int i=categoria.getIdCategoria(); 
            

            try{
                
                File novaImatge = new File(ruta, "cat"+i+extensio);
                
                 FileInputStream in = new FileInputStream(imatgeTemp);
             FileOutputStream out = new FileOutputStream(novaImatge);

             int c;
             while( (c = in.read() ) != -1)
                    out.write(c);

             in.close();
             out.close();
                   
             File imatgeFora = new File(rutaSrc, "cat"+i+extensio);

             FileInputStream in2 = new FileInputStream(imatgeTemp);
             FileOutputStream out2 = new FileOutputStream(imatgeFora);

            
             while( (c = in2.read() ) != -1)
                    out2.write(c);

             in2.close();
             out2.close();
             
             imatgeTemp.delete();
             if(true){
                String arxiuTempR=rutaTemp.substring(0,rutaTemp.lastIndexOf(".")+1);
                File imatgeTempJPG= new File(arxiuTempR,"jpg");
                imatgeTempJPG.delete();
                File imatgeTempGIF= new File(arxiuTempR,"gif");
                imatgeTempGIF.delete();
                File imatgeTempPNG= new File(arxiuTempR,"png");
                imatgeTempPNG.delete();
                File imatgeTempJPEG= new File(arxiuTempR,"jpeg");
                imatgeTempJPEG.delete();
                File imatgeTempICO= new File(arxiuTempR,"ico");
                imatgeTempICO.delete();
                File imatgeTempBMP= new File(arxiuTempR,"bmp");
                imatgeTempBMP.delete();
             }
             
             
             imatge=novaImatge.getName();
             
             } catch(IOException e) {
		 addActionError(e.getMessage());
                 return INPUT;
        }
        }
        
        categoria.setImatge(imatge);
        
        CategoriaDAO.actualizaCategoria(categoria);
        
        session.put("categoriaGestionada", categoria);
        session.put("imatgeMostrar", "imatges/"+imatge);
        
        
       return SUCCESS;
    }
    
    
     @Override
    public void validate(){
        
        
        if(imatge.equals("")){
            addActionError(tlu.getProperty("error.imatgeBuit"));
           
        }
        
        if(nomCategoria.equals("")){
            addActionError(tlu.getProperty("error.nomCategoria"));
           
        }
    }
    
    
    
    public void setImatge(String imatge){
         this.imatge=imatge;
    }
    
    public void setNomCategoria(String nomCategoria){
        this.nomCategoria=nomCategoria;
    }
    
    public String getNomCategoria(){
        return this.nomCategoria;
    }
    
    public String getImatge(){
        return imatge;
    }
    
}

    

