/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.CategoriaDAO;
import controller.ProducteDAO;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import model.Categoria;
import model.Producte;
import org.apache.struts2.ServletActionContext;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class MostrarProductesAction extends ActionSupport  {
    
    private List<Producte> productes=new ArrayList();
    private Categoria categoria;
    private int idCategoria;
    
    
    public MostrarProductesAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
       
       Map<String, Object> session = ActionContext.getContext().getSession();
       
       List <Categoria> categories=(List<Categoria>)session.get("categories");
       int idDB=categories.get(idCategoria).getIdCategoria();
        
       categoria=CategoriaDAO.obtenCategoria(idDB);
       productes=ProducteDAO.ListaProductesOrdPreu(categoria);
       
       session.put("categoria",categoria);
       session.put("productes",productes);
        
        return SUCCESS;
    }
    
    public void setIdCategoria(int idCategoria){
        this.idCategoria=idCategoria;
    }
    
    public int getIdCategoria(){
       return this.idCategoria;
    }
    
}
