/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.CompraDAO;
import controller.EnviamentDAO;
import java.util.List;
import java.util.Map;
import model.Compra;
import model.Compra_Producte;
import model.Enviament;
import model.Producte;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class SeguentEstatCompraAction extends ActionSupport{
    
   private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
   private  int resultat=0;
    
    public SeguentEstatCompraAction (){
	super();	
	}
    
    @Override
    public String execute() throws Exception{
        
         Map<String, Object> session = ActionContext.getContext().getSession();
         Compra compra=(Compra)session.get("compraGestionada");
         
        
        String[] estats=Compra.ESTAT;
        
        if(compra.getEstatCompra().equals(estats[0])){
            
            compra.setEstatCompra(estats[2]);
            }else{
                if((compra.getEstatCompra().equals(Compra.ESTAT[1]))||(compra.getEstatCompra().equals(Compra.ESTAT[2]))){
                    compra.setEstatCompra(estats[3]);
                    Enviament enviament=compra.getEnviament();
                    enviament.setEstatEnviament(Enviament.ESTAT[1]);
                    EnviamentDAO.actualizaEnviament(enviament);
                    compra.setEnviament(enviament);

                    }
            }
        CompraDAO.actualizaCompra(compra);
        compra=CompraDAO.obtenCompra(compra.getIdCompra());
        
        session.put("compraGestionada",compra);
        
                                            
       
       
       
       return SUCCESS;
    }
    
    
    
    @Override
    public void validate(){
        
       Map<String, Object> session = ActionContext.getContext().getSession();
       Compra compra=(Compra)session.get("compraGestionada");
       List<Compra_Producte> llistaProd=compra.getLlistaCompra();
       int i;
       if((compra.getEstatCompra().equals(Compra.ESTAT[1]))||(compra.getEstatCompra().equals(Compra.ESTAT[2]))){
            for(i=0;i<llistaProd.size();i++){
                    Compra_Producte cp=llistaProd.get(i);
                    if(!comprovarEstoc(cp.getProducte(),cp.getQuantitat())){
                        addActionError(tlu.getProperty("error.noEstocSuficient")+" "+resultat*(-1)+" "+tlu.getProperty("error.unitats")+" "+cp.getProducte().getNomProducte()+".");
                        }
                }
        }
    }
    
    public boolean comprovarEstoc(Producte prod, int unitats){
                
        boolean bool =false;
        resultat=prod.getEstoc()-unitats;
        if (resultat>=0){
            bool=true;
        }
        
        return bool;
    }

    

    
}
