/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.ProducteDAO;
import controller.ValoracioDAO;
import java.util.List;
import java.util.Map;
import model.Client;
import model.Producte;
import model.Valoracio;
import org.apache.struts2.components.ActionError;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class ValoracioProducteAction  extends ActionSupport{
    
    private int valoracioClient;
    private int idProducte;
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    public ValoracioProducteAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
    
        Map<String, Object> session = ActionContext.getContext().getSession();
        
        Client client=(Client)session.get("client");
        Producte producte=ProducteDAO.obtenProducte(idProducte);
        
        
        Valoracio valoracio =new Valoracio(client,producte,(float)valoracioClient);
        producte.addValoracio(valoracio);
        ValoracioDAO.guardaValoracio(valoracio);
        producte=ProducteDAO.obtenProducte(idProducte);
        List<Valoracio> valoracions =producte.getValoracions();
        float ValoracioMitjana=0;
        for (Valoracio v: valoracions){
            ValoracioMitjana=ValoracioMitjana+v.getValoracio();
            }
        ValoracioMitjana=ValoracioMitjana/valoracions.size();
                
        producte.setValoracioMitjana(ValoracioMitjana);
        ProducteDAO.actualizaProducte(producte);
                
        return SUCCESS;
         
        
        
    }
    
    
    
    

    @Override
    public void validate(){
        
         Map<String, Object> session = ActionContext.getContext().getSession();
        
        Client client=(Client)session.get("client");
        Producte producte=ProducteDAO.obtenProducte(idProducte);
        
        if(client==null){
            addActionError(tlu.getProperty("error.noIdentificat"));
        } else{
            if(ValoracioDAO.comprovarSiVotat(client, producte)){
                addActionError(tlu.getProperty("error.jaHaVotat"));
                
                }
        }
    }
    

    
   public void setValoracioClient(int valoracioClient){
        this.valoracioClient=valoracioClient;
    }
    
    public int getValoracioClient(){
       return this.valoracioClient;
    }
    
    public void setIdProducte(int idProducte){
        this.idProducte=idProducte;
    }
    
    public int getIdProducte(){
       return this.idProducte;
    }
    
}
