/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.persistence.*;
import org.hibernate.annotations.IndexColumn;
import org.hibernate.annotations.LazyCollection;
import org.hibernate.annotations.LazyCollectionOption;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */

@Entity
@Table(name="clients")
public class Client extends Usuari implements Serializable {
    
    
    @OneToMany(cascade=CascadeType.ALL,mappedBy="client") //,fetch=FetchType.EAGER) 
            
    @LazyCollection(value = LazyCollectionOption.FALSE)
    List <Compra> compres= new ArrayList();
       
    
    public Client(){
        super();
    }
    
    public Client (int idUsuari,String login,String password,String nom,String cognoms,String nif,String telefon,String email, 
            String direccio,String localitat,int codiPostal, String pais, List <Compra> compres, List <Valoracio> valoracions){
        super(idUsuari,login,password,nom,cognoms,nif,telefon,email,direccio,localitat,codiPostal,pais);
        this.compres=compres;
        
    }
    
    public void setCompres(List <Compra> compres){
        this.compres=compres;
    }
    
    public List <Compra> getCompres(){
        return this.compres;
    }
    
    public void addCompra(Compra compra){
        compres.add(compra);
    }
        
    
    
    
}
