/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.EmpresaTransportistaDAO;
import controller.MetodePagamentDAO;
import java.util.List;
import java.util.Map;
import model.*;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class ComprovarIdentAction  extends ActionSupport{
    
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    public ComprovarIdentAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
    
         Map<String, Object> session = ActionContext.getContext().getSession();
         
         
         Client client =(Client)session.get("client");
         
         if (client!=null){
            return SUCCESS;
         }else{
             
             return "noIdent";
         }
    }
    
    @Override
    public void validate(){
        
         Map<String, Object> session = ActionContext.getContext().getSession();
        
        Compra compra=(Compra)session.get("carro");
       
        
        if(compra.getLlistaCompra().isEmpty()){
            addActionError(tlu.getProperty("error.carro.noHiHaProductes"));
        } 
     }
    
    
}
