/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.EnviamentDAO;
import controller.IntentEntregaDAO;
import model.Usuari;
import controller.UsuariDAO;
import java.text.SimpleDateFormat;
import java.util.*;
import model.*;
import util.TendaOnlineLanguageUtils;


/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */


public class ConfirmarIntentAction extends ActionSupport{
    
    
    private int intent;
    private String dataIntent;
    private String horaIntent;
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    
    
    public ConfirmarIntentAction (){
        
         Map<String, Object> session = ActionContext.getContext().getSession();
        
        Enviament enviament=(Enviament)session.get("enviamentGestionat");
        
        intent=enviament.getIntentsEntrega().size()+1;     
         
        
				
	}
    
    @Override
    public String execute() throws Exception{
        
        Map<String, Object> session = ActionContext.getContext().getSession();
        
        int dia=Integer.parseInt(dataIntent.substring(0, 2));
        int mes=Integer.parseInt(dataIntent.substring(3, 5));
        if(mes!=1){
            mes=mes-1;
        }else{
            mes=12;
        }
        int any=Integer.parseInt(dataIntent.substring(6));
        any=any-1900;
        int hores=Integer.parseInt(horaIntent.substring(0, 2));
        int minuts=Integer.parseInt(horaIntent.substring(3, 5));
        int segons=Integer.parseInt(horaIntent.substring(6));
        Enviament enviament=(Enviament)session.get("enviamentGestionat");
        intent=enviament.getIntentsEntrega().size()+1; 
        Date dataIntent=new Date();
        dataIntent.setDate(dia);
        dataIntent.setMonth(mes);
        dataIntent.setYear(any);
        Date horaIntent=new Date();
        horaIntent.setHours(hores);
        horaIntent.setMinutes(minuts);
        horaIntent.setSeconds(segons);
        IntentEntrega intentEntrega= new IntentEntrega(enviament, intent,dataIntent,horaIntent);
        IntentEntregaDAO.guardaIntentEntrega(intentEntrega);
        enviament.addIntent(intentEntrega);
        EnviamentDAO.actualizaEnviament(enviament);
        enviament=EnviamentDAO.obtenEnviament(enviament.getIdEnviament());
        session.put("enviamentGestionat",enviament);
        
                
         return SUCCESS;
                             
           
    }
    
    
    @Override
    public void validate(){
        boolean data=true;
        boolean hora=true;
              
        if(dataIntent.length()!=10){
            data=false;
        }
        int i=0;
        int f=0;
        if(data){
            for(i=0;i<10;i++){
                f=i+1;
                if((i==0)||(i==1)||(i==3)||(i==4)||(i==6)||(i==7)||(i==8)||(i==9)){
                    if(!dataIntent.substring(i, f).equals("0")){
                        if(!dataIntent.substring(i, f).equals("1")){
                            if(!dataIntent.substring(i, f).equals("2")){
                                if(!dataIntent.substring(i, f).equals("3")){
                                    if(!dataIntent.substring(i, f).equals("4")){
                                        if(!dataIntent.substring(i, f).equals("5")){
                                            if(!dataIntent.substring(i, f).equals("6")){
                                                if(!dataIntent.substring(i, f).equals("7")){
                                                    if(!dataIntent.substring(i, f).equals("8")){
                                                        if(!dataIntent.substring(i, f).equals("9")){
                                                            data=false;
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }else{
                        if(!dataIntent.substring(i, f).equals("/")){
                            data=false;
                        }
                    }
            }
            if(data){
                int dies=Integer.parseInt(dataIntent.substring(0, 2));
                int mes=Integer.parseInt(dataIntent.substring(3, 5));
                int any=Integer.parseInt(dataIntent.substring(6));
                if(mes>12){
                    data=false;
                }
                if((mes==1)||(mes==3)||(mes==5)||(mes==7)||(mes==8)||(mes==10)||(mes==12)){
                    if(dies>31){
                        data=false;
                    }
                }
                if((mes==4)||(mes==6)||(mes==9)||(mes==11)){
                    if(dies>30){
                        data=false;
                    }
                }
                if((mes==2)||((any%4) == 0)){
                    if(dies>29){
                        data=false;
                    }
                }
                if((mes==2)||((any%4) != 0)){
                    if(dies>28){
                        data=false;
                    }
                }
            }
        }
        
        if(!data){
             addActionError(tlu.getProperty("error.data"));
        }
        
        
        
        if(horaIntent.length()!=8){
            hora=false;
        }
        if(hora){        
            for(i=0;i<8;i++){
                f=i+1;
                if((i==0)||(i==1)||(i==3)||(i==4)||(i==6)||(i==7)){
                    if(!horaIntent.substring(i, f).equals("0")){
                        if(!horaIntent.substring(i, f).equals("1")){
                            if(!horaIntent.substring(i, f).equals("2")){
                                if(!horaIntent.substring(i, f).equals("3")){
                                    if(!horaIntent.substring(i, f).equals("4")){
                                        if(!horaIntent.substring(i, f).equals("5")){
                                            if(!horaIntent.substring(i, f).equals("6")){
                                                if(!horaIntent.substring(i, f).equals("7")){
                                                    if(!horaIntent.substring(i, f).equals("8")){
                                                        if(!horaIntent.substring(i, f).equals("9")){
                                                            hora=false;
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }else{
                        if(!horaIntent.substring(i, f).equals(":")){
                            hora=false;
                        }
                    }
            }
            if(hora){
                int hores=Integer.parseInt(horaIntent.substring(0, 2));
                int minuts=Integer.parseInt(horaIntent.substring(3, 5));
                int segons=Integer.parseInt(horaIntent.substring(6));
                if(hores>23){
                    hora=false;
                }
                if(minuts>59){
                    hora=false;
                }
                if(segons>59){
                    hora=false;
                }
            }
        }
        
        
        if(!hora){
             addActionError(tlu.getProperty("error.hora"));
        }
        
        
       
    }
    
    
    
    public void setDataIntent(String dataIntent){
        this.dataIntent=dataIntent;
    }
    
    public void setHoraIntent(String horaIntent){
        this.horaIntent=horaIntent;
    }
    
    public int getIntent(){
        return this.intent;
    }
    
     public String getDataIntent(){
        return this.dataIntent;
    }
    
    public String getHoraIntent(){
        return this.horaIntent;}
    
    
}
    
    
    
    
   
    

