/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.CategoriaDAO;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Map;
import model.Categoria;
import org.apache.struts2.ServletActionContext;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class EditarCategoriaAction  extends ActionSupport{
    
    private int categoriaGestionada;
    
    public EditarCategoriaAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        
         Map<String, Object> session = ActionContext.getContext().getSession();
        
         Categoria categoria=CategoriaDAO.obtenCategoria(categoriaGestionada);
         
        session.put("imatgeMostrar", "imatges/"+categoria.getImatge());
        
        
         session.put("categoriaGestionada", categoria);
         
       try{  
            String ruta = ServletActionContext.getServletContext().getRealPath("/imatges");
            String rutaSrc = ServletActionContext.getServletContext().getRealPath("/");
            String barra=rutaSrc.substring(rutaSrc.length()-1);
            String extensio=categoria.getImatge().substring(categoria.getImatge().lastIndexOf("."));
            session.put("rutaAbs", rutaSrc+"imatges"+barra+"imatgesTemporals"+barra+"cat"+categoria.getIdCategoria()+extensio);
            rutaSrc=rutaSrc+"imatges"+barra+"imatgesTemporals";
                
            

            File imatgeVella=new File(ruta, categoria.getImatge());


            File novaImatge = new File(rutaSrc, categoria.getImatge());

            FileInputStream in = new FileInputStream(imatgeVella);
            FileOutputStream out = new FileOutputStream(novaImatge);

            int c;
            while( (c = in.read() ) != -1)
                     out.write(c);

            in.close();
            out.close();
         } catch(IOException e) {
		 addActionError(e.getMessage());
                 return INPUT;
        }
        
       return SUCCESS;
    }
    
    public void setCategoriaGestionada(int categoriaGestionada){
        this.categoriaGestionada=categoriaGestionada;
    }
    
}
