/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.ProducteDAO;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Map;
import model.Producte;
import org.apache.struts2.ServletActionContext;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class EditarProducteAction extends ActionSupport{
    
    private int producteGestionat;
    
    public EditarProducteAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        
         Map<String, Object> session = ActionContext.getContext().getSession();
        
         Producte producte=ProducteDAO.obtenProducte(producteGestionat);
         
        session.put("imatgeMostrar", "imatges/"+producte.getImatge());
        
        
         session.put("producteGestionat", producte);
         
       try{  
            String ruta = ServletActionContext.getServletContext().getRealPath("/imatges");
            String rutaSrc = ServletActionContext.getServletContext().getRealPath("/");
            String barra=rutaSrc.substring(rutaSrc.length()-1);
            String extensio=producte.getImatge().substring(producte.getImatge().lastIndexOf("."));
            session.put("rutaAbs", rutaSrc+"imatges"+barra+"imatgesTemporals"+barra+"prod"+producte.getIdProducte()+extensio);
            rutaSrc=rutaSrc+"imatges"+barra+"imatgesTemporals";
                
            

            File imatgeVella=new File(ruta, producte.getImatge());


            File novaImatge = new File(rutaSrc, producte.getImatge());

            FileInputStream in = new FileInputStream(imatgeVella);
            FileOutputStream out = new FileOutputStream(novaImatge);

            int c;
            while( (c = in.read() ) != -1)
                     out.write(c);

            in.close();
            out.close();
         } catch(IOException e) {
		 addActionError(e.getMessage());
                 return INPUT;
        }
        
       return SUCCESS;
    }
    
    public void setProducteGestionat(int producteGestionat){
        this.producteGestionat=producteGestionat;
    }
    
}

