/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.CategoriaDAO;
import controller.ProducteDAO;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import model.Categoria;
import model.Producte;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class EliminarCategoriaAction extends ActionSupport{
    
  
    public EliminarCategoriaAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        Map<String, Object> session = ActionContext.getContext().getSession();
         
        Categoria categoria=(Categoria)session.get("categoriaGestionada");
        
        List<Producte> productes=categoria.getProductes();
        for(int i=0;i<productes.size();i++){
            Producte prod=productes.get(i);
            prod.setCategoria(null);
            ProducteDAO.actualizaProducte(prod);
        }
        
        categoria.setProductes(new ArrayList());
        CategoriaDAO.actualizaCategoria(categoria);
        
        CategoriaDAO.eliminaCategoria(categoria);
        
        session.put("categories", CategoriaDAO.obtenListaCategories());
        
        
       return SUCCESS;
    }
    
}
