/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.CategoriaDAO;
import java.io.*;
import java.util.List;
import java.util.Map;
import model.Categoria;
import org.apache.struts2.ServletActionContext;
import org.hibernate.Hibernate;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class FotoCategoriaAction extends ActionSupport{
    
    private File archivo;
    private String archivoContentType;
    private String archivoFileName;
    private String imatge;
    private String nomCategoria;
    
     private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
   public FotoCategoriaAction(){
       
   }
    

    @Override
    public String execute() throws Exception{
        
            String ruta = ServletActionContext.getServletContext().getRealPath("/imatges");
            String rutaSrc = ServletActionContext.getServletContext().getRealPath("/");
            rutaSrc=rutaSrc.substring(0,rutaSrc.length()-10);
            String barra=rutaSrc.substring(rutaSrc.length()-1);
            rutaSrc=rutaSrc+"web"+barra+"imatges";
            

            String extensio=archivoFileName.substring(archivoFileName.lastIndexOf("."));
            List <Categoria> llista=CategoriaDAO.obtenListaCategories();
            int i=llista.get(llista.size()-1).getIdCategoria()+1; 
            

            try{
                
                File nuevoArchivo = new File(ruta, "cat"+i+extensio);
                
                 FileInputStream in = new FileInputStream(archivo);
             FileOutputStream out = new FileOutputStream(nuevoArchivo);

             int c;
             while( (c = in.read() ) != -1)
                    out.write(c);

             in.close();
             out.close();
                   
             File outFile = new File(rutaSrc, "cat"+i+extensio);

             FileInputStream in2 = new FileInputStream(nuevoArchivo);
             FileOutputStream out2 = new FileOutputStream(outFile);

            
             while( (c = in2.read() ) != -1)
                    out2.write(c);

             in2.close();
             out2.close();
             
             imatge=nuevoArchivo.getName();
             
             } catch(IOException e) {
		 addActionError(e.getMessage());
                 return INPUT;
        }
  
        return SUCCESS;
    }
    
    @Override
    public void validate(){
        
        
        if(archivo==null){
            addActionError(tlu.getProperty("error.fitxerBuit"));
           
        }
    }
     
        

    public String getArchivoContentType()
    {
        return archivoContentType;
    }
    public void setArchivoContentType(String archivoContentType)
    {
        this.archivoContentType = archivoContentType;
    }

    public void setArchivoFileName(String archivoFileName)
    {
        this.archivoFileName = archivoFileName;
    }

    public String getNombre()
    {
        return archivoFileName;
    }
    
    public String getRuta()
    {
        return archivo.getAbsolutePath();
    }
    
    public void setArchivo(File archivo)
    {
        this.archivo = archivo;
    }

        
    public String getImatge(){
        return imatge;
    }
     
    public File getArchivo() {
        return archivo;
    }
     
    public String getArchivoFileName() {
        return archivoFileName;
    }
    
    public void setNomCategoria(String nomCategoria){
        this.nomCategoria=nomCategoria;
    }
    
    public String getNomCategoria(){
        return this.nomCategoria;
    }
 
    
   
}
