/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import java.util.Locale;
import java.util.Map;



/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class IdiomaAction extends ActionSupport {
    
    private String idioma;
    
    private Locale catala = new Locale("ca", ""); /*Para el catalan*/
    private Locale castellano = new Locale("es", ""); /*Para el castellano*/
    
     public IdiomaAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        Map<String, Object> session = ActionContext.getContext().getSession();
        
        
        if(idioma.equals("es")){
            
            session.put("WW_TRANS_I18N_LOCALE", castellano);
            }
        else{if(idioma.equals("ca")){
            
            session.put("WW_TRANS_I18N_LOCALE", catala);
           }
            else{
                session.put("WW_TRANS_I18N_LOCALE", castellano);
                
            }
        }
        
        if(session.get("venedor")!=null){
            return "venedor";
        }else{
            if(session.get("transp")!=null){
                return "transportista";
            }else{
                return SUCCESS;
            }
        }
        
        
       
        
    
        
    }
    
    
    
     public void setIdioma(String idioma){
        this.idioma=idioma;
    }
    
    public String getIdioma(){
       return this.idioma;
    }
    
}
