/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Map;
import model.Producte;
import org.apache.struts2.ServletActionContext;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class ModFotoProducteAction extends ActionSupport{
    
    private File archivo;
    private String archivoContentType;
    private String archivoFileName;
    private String imatge;
    private String nomProducte;
    
     private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
   public ModFotoProducteAction(){
       
   }
    

    @Override
    public String execute() throws Exception{
        
            
            String rutaSrc = ServletActionContext.getServletContext().getRealPath("/");
            
            String barra=rutaSrc.substring(rutaSrc.length()-1);
            rutaSrc=rutaSrc+"imatges"+barra+"imatgesTemporals";
            

            String extensio=archivoFileName.substring(archivoFileName.lastIndexOf("."));
           
            
            Map<String, Object> session = ActionContext.getContext().getSession();
        
         Producte producte= (Producte)session.get("producteGestionat");
         
        session.put("imatgeMostrar", "imatges/imatgesTemporals/"+"cat"+producte.getIdProducte()+extensio);
        session.put("rutaAbs", rutaSrc+barra+"cat"+producte.getIdProducte()+extensio);
        
        
        
            

            try{
                
                File nuevoArchivo = new File(rutaSrc, "cat"+producte.getIdProducte()+extensio);
                
                 FileInputStream in = new FileInputStream(archivo);
             FileOutputStream out = new FileOutputStream(nuevoArchivo);

             int c;
             while( (c = in.read() ) != -1)
                    out.write(c);

             in.close();
             out.close();
                   
            
             
             imatge=nuevoArchivo.getName();
             
             } catch(IOException e) {
		 addActionError(e.getMessage());
                 return INPUT;
        }
  
        return SUCCESS;
    }
    
    @Override
    public void validate(){
        
        
        if(archivo==null){
            addActionError(tlu.getProperty("error.fitxerBuit"));
           
        }
    }
     
        

    public String getArchivoContentType()
    {
        return archivoContentType;
    }
    public void setArchivoContentType(String archivoContentType)
    {
        this.archivoContentType = archivoContentType;
    }

    public void setArchivoFileName(String archivoFileName)
    {
        this.archivoFileName = archivoFileName;
    }

    public String getNombre()
    {
        return archivoFileName;
    }
    
    public String getRuta()
    {
        return archivo.getAbsolutePath();
    }
    
    public void setArchivo(File archivo)
    {
        this.archivo = archivo;
    }

        
    public String getImatge(){
        return imatge;
    }
     
    public File getArchivo() {
        return archivo;
    }
     
    public String getArchivoFileName() {
        return archivoFileName;
    }
    
    public void setNomProducte(String nomProducte){
        this.nomProducte=nomProducte;
    }
    
    public String getNomProducte(){
        return this.nomProducte;
    }
 
    
   
}


