/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.ProducteDAO;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Map;
import model.Producte;
import org.apache.struts2.ServletActionContext;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class ModProducteAction extends ActionSupport{
    
    private String imatge;
    private String nomProducte;
     private float preu;
    private int estoc;
    private String descripcio;
    
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
  
    public ModProducteAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        Map<String, Object> session = ActionContext.getContext().getSession();
        
          
        
        Producte producte= (Producte)session.get("producteGestionat");
               
        
        producte=ProducteDAO.obtenProducte(producte.getIdProducte());
        
        producte.setNomProducte(nomProducte);
        producte.setDescripcio(descripcio);
        producte.setEstoc(estoc);
        producte.setPreu(preu);
        
        if(true){
            String ruta = ServletActionContext.getServletContext().getRealPath("/imatges");
            String rutaSrc = ServletActionContext.getServletContext().getRealPath("/");
            rutaSrc=rutaSrc.substring(0,rutaSrc.length()-10);
            String barra=rutaSrc.substring(rutaSrc.length()-1);
            rutaSrc=rutaSrc+"web"+barra+"imatges";
            
            File imatgeVella=new File(ruta, imatge);
            imatgeVella.delete();
            
            String rutaTemp=(String)session.get("rutaAbs");
            
            
            File imatgeTemp= new File(rutaTemp);

            String extensio=rutaTemp.substring(rutaTemp.lastIndexOf("."));
            int i=producte.getIdProducte(); 
            

            try{
                
                File novaImatge = new File(ruta, "prod"+i+extensio);

                FileInputStream in = new FileInputStream(imatgeTemp);
                FileOutputStream out = new FileOutputStream(novaImatge);

                int c;
                while( (c = in.read() ) != -1)
                        out.write(c);

                in.close();
                out.close();

                File imatgeFora = new File(rutaSrc, "prod"+i+extensio);

                FileInputStream in2 = new FileInputStream(imatgeTemp);
                FileOutputStream out2 = new FileOutputStream(imatgeFora);


                while( (c = in2.read() ) != -1)
                        out2.write(c);

                in2.close();
                out2.close();

                imatgeTemp.delete();
                if(true){
                    String arxiuTempR=rutaTemp.substring(0,rutaTemp.lastIndexOf(".")+1);
                    File imatgeTempJPG= new File(arxiuTempR,"jpg");
                    imatgeTempJPG.delete();
                    File imatgeTempGIF= new File(arxiuTempR,"gif");
                    imatgeTempGIF.delete();
                    File imatgeTempPNG= new File(arxiuTempR,"png");
                    imatgeTempPNG.delete();
                    File imatgeTempJPEG= new File(arxiuTempR,"jpeg");
                    imatgeTempJPEG.delete();
                    File imatgeTempICO= new File(arxiuTempR,"ico");
                    imatgeTempICO.delete();
                    File imatgeTempBMP= new File(arxiuTempR,"bmp");
                    imatgeTempBMP.delete();
                }
             
             
             imatge=novaImatge.getName();
             
             } catch(IOException e) {
		 addActionError(e.getMessage());
                 return INPUT;
        }
        }
        
        producte.setImatge(imatge);
        
        ProducteDAO.actualizaProducte(producte);
        
        
        session.put("producteGestionat", producte);
        session.put("imatgeMostrar", "imatges/"+imatge);
        
        
       return SUCCESS;
    }
    
    
     @Override
    public void validate(){
        
        
        if(imatge.equals("")){
            addActionError(tlu.getProperty("error.imatgeBuit"));
           
        }
        
        if(nomProducte.equals("")){
            addActionError(tlu.getProperty("error.nomProducte"));
           
        }
        
         if(estoc<0){
             addActionError(tlu.getProperty("error.estocNeg"));
        }
         
          if(preu<=0){
             addActionError(tlu.getProperty("error.preuNegatiu"));
        }
    }
    
    
    
    public void setImatge(String imatge){
         this.imatge=imatge;
    }
    
    public void setNomProducte(String nomProducte){
        this.nomProducte=nomProducte;
    }
    
    public String getNomProducte(){
        return this.nomProducte;
    }
    
    //public String getImatge(){
      //  return imatge;
    //}
      public void setDescripcio(String descripcio){
        this.descripcio=descripcio;
    }
    
    public String getDescripcio(){
        return this.descripcio;
    }
    
    public void setPreu(float preu){
        this.preu=preu;
    }
    
    public float getPreu(){
        return this.preu;
    }
        
    
    public void setEstoc(int estoc){
        this.estoc=estoc;
    }
    
    public int getEstoc(){
        return this.estoc;
    }
    
}
