/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.CategoriaDAO;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Map;
import model.Categoria;
import org.apache.struts2.ServletActionContext;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class NovaCategoriaAction extends ActionSupport{
    
    private String imatge;
    private String nomCategoria;
    
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
  
    public NovaCategoriaAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        Map<String, Object> session = ActionContext.getContext().getSession();
        
        Categoria categoria=new Categoria();
        categoria.setNomCategoria(nomCategoria);
        categoria.setImatge(imatge);
               
        
        categoria=CategoriaDAO.obtenCategoria(CategoriaDAO.guardaCategoria(categoria));
        
        session.put("categoriaGestionada", categoria);
        session.put("imatgeMostrar", "imatges/"+imatge);
        try{
            String ruta = ServletActionContext.getServletContext().getRealPath("/imatges");
            String rutaSrc = ServletActionContext.getServletContext().getRealPath("/");
            String barra=rutaSrc.substring(rutaSrc.length()-1);
            String extensio=imatge.substring(imatge.lastIndexOf("."));
            session.put("rutaAbs", rutaSrc+"imatges"+barra+"imatgesTemporals"+barra+"cat"+categoria.getIdCategoria()+extensio);
            rutaSrc=rutaSrc+"imatges"+barra+"imatgesTemporals";
                
            

            File imatgeVella=new File(ruta, categoria.getImatge());


            File novaImatge = new File(rutaSrc, categoria.getImatge());

            FileInputStream in = new FileInputStream(imatgeVella);
            FileOutputStream out = new FileOutputStream(novaImatge);

            int c;
            while( (c = in.read() ) != -1)
                     out.write(c);

            in.close();
            out.close();
        } catch(IOException e) {
		 addActionError(e.getMessage());
                 return INPUT;
        }
        
       return SUCCESS;
    }
    
    
     @Override
    public void validate(){
        
        
        if(imatge.equals("")){
            addActionError(tlu.getProperty("error.imatgeBuit"));
           
        }
        
        if(nomCategoria.equals("")){
            addActionError(tlu.getProperty("error.nomCategoria"));
           
        }
    }
    
    
    
    public void setImatge(String imatge){
         this.imatge=imatge;
    }
    
    public void setNomCategoria(String nomCategoria){
        this.nomCategoria=nomCategoria;
    }
    
}
