/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.EmpresaTransportistaDAO;
import controller.MetodePagamentDAO;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import model.EmpresaTransportista;
import model.MetodePagament;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class PrepararConfirmarCompraAction extends ActionSupport{
    
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    private List<String> llistaMetodes;
    private List<String> llistaEmpreses;
 
    
    public PrepararConfirmarCompraAction (){
	        
	}
    
    @Override
    public String execute() throws Exception{
    
         Map<String, Object> session = ActionContext.getContext().getSession();
                  
         List<MetodePagament> metodesPagament=MetodePagamentDAO.obtenLlistaMetodesPagament();
         List<EmpresaTransportista> empresesTransportistes=EmpresaTransportistaDAO.obtenListaEmpreses();
         session.put("empreses", empresesTransportistes);
         session.put("metodesPagament", metodesPagament);
         int i;
         llistaMetodes=new ArrayList<String>();
         llistaEmpreses=new ArrayList<String>();
         for(i=0;i<empresesTransportistes.size();i++){
             EmpresaTransportista e=empresesTransportistes.get(i);
             if(e.getTransportistes().size()>0){
                llistaEmpreses.add(e.getNomEmpresa()+" "+e.getTerminiEntrega()+"h ("+e.getCost()+" €)");}
         }
         for(i=0;i<metodesPagament.size();i++){
            
             llistaMetodes.add(metodesPagament.get(i).getTipusPagament());
         }
         
         
            
         return SUCCESS;
         
    }
    
    public List<String> getLlistaMetodes() {
		return llistaMetodes;
	}
    
    public List<String> getLlistaEmpreses() {
		return llistaEmpreses;
	}
    
   
    
}
