/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.UsuariDAO;
import java.util.Map;
import java.util.Properties;
import java.util.ResourceBundle;
import javax.mail.Message;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import model.Usuari;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class RecordarPasswordAction extends ActionSupport{
    
    
    private String email;
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    public RecordarPasswordAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
       try {
           
            String origen=getInformacio("email");
            String password=getInformacio("password");
            Usuari usuari=UsuariDAO.getUsuari(email);
            
            
            Properties props = new Properties();
            props.setProperty("mail.smtp.host", "smtp.gmail.com");
            props.setProperty("mail.smtp.starttls.enable", "true");
            props.setProperty("mail.smtp.port", "25");
            props.setProperty("mail.smtp.user", origen);
            props.setProperty("mail.smtp.auth", "true");

            //System.out.println("Enviando…");
            // Preparamos la sesion
            Session session = Session.getDefaultInstance(props);

            // Construimos el mensaje
            MimeMessage message = new MimeMessage(session);
            message.setFrom(new InternetAddress(origen));
            message.addRecipient(
            Message.RecipientType.TO,
            new InternetAddress(email));
            message.setSubject(getInformacio("nomEmpresa")+" - "+tlu.getProperty("email.asunto"));
            message.setText(tlu.getProperty("email.saludo")+" "+usuari.getNom()+tlu.getProperty("email.principi")+" "+usuari.getLogin()+"\n"+tlu.getProperty("menu.label.contrasenya")
                    +": "+usuari.getPasword()+tlu.getProperty("email.final")+getInformacio("nomEmpresa"));

            // Lo enviamos.
            Transport t = session.getTransport("smtp");
            t.connect(origen,password);
            t.sendMessage(message, message.getAllRecipients());

            // Cierre.
            t.close();

            //System.out.println("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\nEmail Enviado!");
            }
            catch (Exception e)
            {
            e.printStackTrace();
            }
        
            Map<String, Object> session = ActionContext.getContext().getSession();
                
            String desti=(String)session.get("desti");
            
            session.put("recordar",false);
       
            if(desti.equals("confirmarCompra")) {
                        
                        return "confirmaCompra";
                }else{   
                        return SUCCESS;
                    }
    
    }
    
    
    @Override
    public void validate(){
        if(!UsuariDAO.emailOcupat(email)){
            addActionError(tlu.getProperty("email.incorrecte"));
        }
    
    }
    
    
    public static String getInformacio(String keyString){
        
       
            
            ResourceBundle currentBundle;  
            
            
            currentBundle = ResourceBundle.getBundle("informacioPagina"); 
            
            
            return currentBundle.getString(keyString);
            
        }
    
        
    
    public void setEmail(String email){
        this.email=email;
    }
    
    public String getEmail(){
        return this.email;
    }
    
    
}
